FLOOR(3)

NAME
floor - round to largest integral value not greater than x

SYNOPSIS
#include <math.h>
double
floor(double x);
long double
floorl(long double x);
float
floorf(float x);

DESCRIPTION
The floor() functions return the largest integral value less than or equal to x.

SPECIAL VALUES
floor(±0) returns ±0.

floor(±infinity) returns ±infinity.

VECTOR OPERATIONS
If you need to apply the floor() function to SIMD vectors or arrays, using the following functions provided by the Accelerate.framework may give significantly better performance:

#include <Accelerate/Accelerate.h>

vFloat vfloorf(vFloat x);
void vvfloorf(float *y, const float *x, const int *n);
void vvfloor(double *y, const double *x, const int *n);

SEE ALSO
ceil(3), round(3), trunc(3), math(3)

STANDARDS
The floor() functions conform to ISO/IEC 9899:2011.